Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezbulkmail/user/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 7832 2001-10-14 18:10:26Z fh $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/ezhttptool.php" );
28
29 $ini =& eZINI::instance( 'site.ini' );
30 $GlobalSectionID = $ini->variable( "eZBulkmailMain", "DefaultSection" );
31 $SiteDesign = $ini->variable( "site", "SiteDesign" );
32
33 switch ( $url_array[2] )
34 {
35 case "subscriptionlist":
36 {
37 include( "kernel/ezbulkmail/user/subscriptionlist.php" );
38 }
39 break;
40
41 case "bulklist":
42 {
43 $CategoryID = $url_array[3];
44 include( "kernel/ezbulkmail/user/bulklist.php" );
45 }
46 break;
47
48 case "newsubscription" :
49 $New = "new";
50 case "login" :
51 {
52 if ( $ini->variable( "eZBulkMailMain", "UseEZUser" ) == "enabled" )
53 {
54 $user =& eZUser::currentUser();
55 if ( $user )
56 {
57 include( "kernel/ezbulkmail/user/subscriptionlist.php" );
58 }
59 else
60 {
61 eZHTTPTool::header( "Location: /user/login/?RedirectURL=/bulkmail/subscriptionlist" );
62 exit();
63 }
64 }
65 else
66 include( "kernel/ezbulkmail/user/subscriptionlogin.php" );
67 }
68 break;
69
70 case "confirmsubscription" :
71 {
72 $Hash = $url_array[3];
73 include( "kernel/ezbulkmail/user/subscriptionlogin.php" );
74 }
75 break;
76
77 case "singlelist" :
78 {
79 include( "kernel/ezbulkmail/user/singlelist.php" );
80 }
81 break;
82
83 case "singlelistsubscribe" :
84 {
85 $Subscribe = "yes";
86 $Hash = $url_array[3];
87 include( "kernel/ezbulkmail/user/singlelist.php" );
88 }
89 break;
90
91 case "singlelistunsubscribe" :
92 {
93 $UnSubscribe = "yes";
94 $Hash = $url_array[3];
95 include( "kernel/ezbulkmail/user/singlelist.php" );
96 }
97 break;
98
99 case "successfull" :
100 {
101 $mailConfirm = "";
102 include( "kernel/ezbulkmail/user/usermessages.php" );
103 }
104 break;
105
106 case "view" :
107 {
108 $MailID = $url_array[3];
109 if( !is_numeric( $MailID ) )
110 {
111 eZHTTPTool::header( "Location: /error/404" );
112 exit();
113 }
114 // include_once( "kernel/ezbulkmail/user/mailview.php" );
115 }
116 break;
117
118
119 default:
120 {
121 eZHTTPTool::header( "Location: /error/404" );
122 exit();
123 }
124 break;
125 }
126
127 ?>
$CategoryID
$CategoryID
Definition: admin/articleedit.php:53
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
$GlobalSectionID
$GlobalSectionID
Definition: ezbulkmail/user/datasupplier.php:30
$ini
$ini
Definition: ezbulkmail/user/datasupplier.php:29
$SiteDesign
$SiteDesign
Definition: ezbulkmail/user/datasupplier.php:31
exit
exit
Definition: folder.php:81
$user
$user
Definition: user/adlist.php:39
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.